iSCSI Enterprise Target Multiple Implementations iSNS Message Stack Buffer Overflow Vulnerability

Bugtraq ID: 41327
Class: Input Validation Error
CVE: CVE-2010-2221
Remote: Yes
Local: No
Published: Jul 02 2010 12:00AM
Updated: Jul 12 2010 10:07PM
Credit: TELUS Security Labs Vulnerability Research Team
Vulnerable: tgt Project Linux SCSI target framework (tgt) 0.9.5
tgt Project Linux SCSI target framework 1.0.5
tgt Project Linux SCSI target framework 0
Red Hat Cluster-Storage Server 5
MandrakeSoft Enterprise Server 5 x86_64
MandrakeSoft Enterprise Server 5
iSCSI Enterprise Target iSCSI Enterprise Target 0.4.19
iSCSI Enterprise Target iSCSI Enterprise Target 0.4.16
iSCSI Enterprise Target iSCSI Enterprise Target 0.4.15
iSCSI Enterprise Target iSCSI Enterprise Target 1.4.0.21
Generic SCSI Target Subsystem for Linux Generic SCSI Target Subsystem for Linux 1.0.1.1
Generic SCSI Target Subsystem for Linux Generic SCSI Target Subsystem for Linux 0
Not Vulnerable:


 

Privacy Statement
Copyright 2010, SecurityFocus